#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1100one4xi.py">
#<abstract4xi abstract = "fires to direction one and to distance 1100"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1100one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

       
# -------------------------------------------------------------------------------------------------
# SHOT2ONE - COORDINATE SIGNS OF SHOOT2ONE4XI: (X + ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------  

   
global shot2one11004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False 


                         
# -------------------------------------------------------------------------------------------------
# 1100
# -------------------------------------------------------------------------------------------------                                          
shot2one11004xi = {
                  1:'0x0y1099z',
                  2:'0x1y1099z',
                  3:'0x33y1099z',
                  4:'0x728y824z',
                  5:'100x975y498z',
                  6:'10x120y1093z',
                  7:'110x694y845z',
                  8:'110x901y620z',
                  9:'115x818y725z',
                  10:'11x18y1099z',
                  11:'138x1007y419z',
                  12:'144x679y852z',
                  13:'151x963y508z',
                  14:'156x804y734z',
                  15:'156x888y629z',
                  16:'15x108y1094z',
                  17:'15x920y601z',
                  18:'16x28y1099z',
                  19:'177x662y859z',
                  20:'190x994y429z',
                  21:'196x787y742z',
                  22:'19x39y1099z',
                  23:'19x96y1095z',
                  24:'1x11y1099z',
                  25:'1x22y1099z',
                  26:'200x949y518z',
                  27:'201x873y638z',
                  28:'209x644y866z',
                  29:'21x50y1098z',
                  30:'21x85y1096z',
                  31:'22x61y1098z',
                  32:'22x73y1097z',
                  33:'235x769y750z',
                  34:'239x624y873z',
                  35:'240x979y439z',
                  36:'244x855y647z',
                  37:'248x932y528z',
                  38:'268x603y879z',
                  39:'272x748y758z',
                  40:'287x835y655z',
                  41:'290x961y449z',
                  42:'295x580y886z',
                  43:'295x913y537z',
                  44:'29x840y709z',
                  45:'308x726y766z',
                  46:'321x556y892z',
                  47:'327x812y664z',
                  48:'32x0y1099z',
                  49:'32x1024y398z',
                  50:'338x940y459z',
                  51:'340x891y547z',
                  52:'342x702y774z',
                  53:'344x531y899z',
                  54:'34x27y1099z',
                  55:'366x505y905z',
                  56:'367x788y673z',
                  57:'375x676y781z',
                  58:'37x719y831z',
                  59:'384x867y556z',
                  60:'385x917y469z',
                  61:'387x478y911z',
                  62:'404x762y682z',
                  63:'405x450y917z',
                  64:'405x649y789z',
                  65:'41x36y1098z',
                  66:'422x422y923z',
                  67:'426x840y566z',
                  68:'431x891y479z',
                  69:'434x620y797z',
                  70:'436x393y929z',
                  71:'440x734y690z',
                  72:'449x363y935z',
                  73:'460x334y941z',
                  74:'461x590y804z',
                  75:'467x812y575z',
                  76:'474x704y699z',
                  77:'474x863y489z',
                  78:'47x45y1098z',
                  79:'486x559y812z',
                  80:'49x984y489z',
                  81:'506x672y707z',
                  82:'506x782y584z',
                  83:'509x527y819z',
                  84:'516x833y498z',
                  85:'52x56y1097z',
                  86:'530x494y826z',
                  87:'536x639y716z',
                  88:'542x749y594z',
                  89:'549x460y834z',
                  90:'556x800y508z',
                  91:'564x605y724z',
                  92:'566x426y841z',
                  93:'56x67y1096z',
                  94:'577x715y603z',
                  95:'580x391y848z',
                  96:'589x570y732z',
                  97:'594x766y518z',
                  98:'59x78y1095z',
                  99:'5x131y1092z',
                  100:'610x679y612z',
                  101:'613x533y740z',
                  102:'61x90y1094z',
                  103:'630x730y528z',
                  104:'634x496y748z',
                  105:'63x912y611z',
                  106:'640x642y621z',
                  107:'653x458y756z',
                  108:'664x692y537z',
                  109:'668x604y630z',
                  110:'67x112y1192z',
                  111:'694x564y639z',
                  112:'695x652y547z',
                  113:'6x8y1099z',
                  114:'717x523y648z',
                  115:'724x612y556z',
                  116:'72x830y717z',
                  117:'74x707y838z',
                  118:'751x569y566z',
                  119:'85x1017y408z'}
                             

#"
#"/>
    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1100one4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1100one4xi(queue2one, consumer_channel2one, publisher_channel2one):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE110ONE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE110ONE4XI -  QUEUE2ONE: ", queue2one)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE110ONE4XI -  CONSUMER_CHANNEL2ONE: ", consumer_channel2one)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE110ONE4XI -  PUBLISHER_CHANNEL2ONE: ", publisher_channel2one)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE110ONE4XI - TRYING TO RETURN BY PUTTING SHOT2ONE11004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2one.put(shot2one11004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE110ONE4XI - SUCCEEDED TO PUT SHOT2ONE11004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
            # SUCCEEDED TO PUT SHOT2ONE11004XI TO QUEUE2ONE:  <queue4xi.Queue4Xi object at 0x02AF7090>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time  
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE110ONE4XI *** FAILED TO PUT SHOT2ONE11004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE110ONE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi())
        #
         
    if ack2put is True:
        message2send4one = "<ack2put4xi>queue2one8shot2one11004xi</ack2put4xi>"
    else:
        message2send4one = "<nack2put4xi>queue2one8shot2one11004xi</nack2put4xi>" 
                  
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
   
        publisher_channel2one.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE110ONE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
            # SENT MESSAGE2SEND4ONE:  <ack2put4xi>queue2one8shot2one11004xi</ack2put4xi>  TO PUBLISHER_CHANNEL2ONE:  <read-write PipeConnection, handle 260>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time
        
    except:
        print(" (STEP 3C/33) OF FIRE110ONE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE110ONE4XI - RETURNING QUEUE OBJECT QUEUE2ONE: ", queue2one, " - TIME: ", time4xi())  
        # 
            
    return queue2one    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1100one4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
